Clone of vim-scheme to avoid "fatal: dumb http transport does not support --depth" error when trying to use the original repository with vim-plug
Evan Hanson c956081b98 Do not colourise "srfi" as an import keyword 4 months ago
ftplugin Update CHICKEN lispwords 9 months ago
indent Sync indent file with Vim 9 months ago
syntax Do not colourise "srfi" as an import keyword 4 months ago
README.md Add guards to ensure CHICKEN-specific files are only loaded from scheme.vim 11 months ago

README.md

vim-scheme

Scheme support for Vim (R7RS and CHICKEN).

Usage

Install [https://git.foldling.org/vim-scheme.git]() using your plugin manager of choice.

To enable CHICKEN-specific features, add the following to your startup file:

let g:is_chicken = 1

Acknowledgements

Thanks to TheLemonMan and DeeEff in #chicken for lots of helpful feedback.

License

Public Domain.